Package org.eclipse.rdf4j.spring.util

## Class ObjectMapUtils

- java.lang.Object
- - org.eclipse.rdf4j.spring.util.ObjectMapUtils

-     public class ObjectMapUtils
      extends Object

  Since:
    4.0.0
  Author:
    Florian Kleedorfer

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ObjectMapUtils()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Boolean` | `getBoolean​(Map<String,​Object> map, String key)` |
    `static Boolean` | `getBooleanMaybe​(Map<String,​Object> map, String key)` |
    `static Optional<Boolean>` | `getBooleanOptional​(Map<String,​Object> map, String key)` |
    `static IRI` | `getIRI​(Map<String,​Object> map, String key)` |
    `static IRI` | `getIRIMaybe​(Map<String,​Object> map, String key)` |
    `static String` | `getString​(Map<String,​Object> map, String key)` |
    `static String` | `getStringMaybe​(Map<String,​Object> map, String key)` |
    `static Optional<String>` | `getStringOptional​(Map<String,​Object> map, String key)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectMapUtils

          public ObjectMapUtils()

  - ### Method Detail

    - #### getIRI

          public static IRI getIRI​(Map<String,​Object> map,
                                   String key)

    - #### getIRIMaybe

          public static IRI getIRIMaybe​(Map<String,​Object> map,
                                        String key)

    - #### getBoolean

          public static Boolean getBoolean​(Map<String,​Object> map,
                                           String key)

    - #### getBooleanMaybe

          public static Boolean getBooleanMaybe​(Map<String,​Object> map,
                                                String key)

    - #### getBooleanOptional

          public static Optional<Boolean> getBooleanOptional​(Map<String,​Object> map,
                                                             String key)

    - #### getString

          public static String getString​(Map<String,​Object> map,
                                         String key)

    - #### getStringMaybe

          public static String getStringMaybe​(Map<String,​Object> map,
                                              String key)

    - #### getStringOptional

          public static Optional<String> getStringOptional​(Map<String,​Object> map,
                                                           String key)